Masumi Logo

/inbox-agents-wallet

Gets the inbox agent metadata.

GET
/inbox-agents/wallet
token<token>

API key authentication via header (token)

In: header

Query Parameters

walletVkey*string

The payment key of the wallet to be queried

Lengthlength <= 250
network*string

The Cardano network used to register the inbox agent on

Value in"Preprod" | "Mainnet"
smartContractAddress?string

The smart contract address of the payment source to which the registration belongs

Lengthlength <= 250

Response Body

application/json

curl -X GET "https://loading/./../api/v1/inbox-agents/wallet?walletVkey=string&network=Preprod"
{
  "status": "success",
  "data": {
    "Assets": [
      {
        "policyId": "policy_id",
        "assetName": "asset_name",
        "agentIdentifier": "agent_identifier",
        "Metadata": {
          "name": "Inbox Agent",
          "description": "Masumi inbox identity registration",
          "agentSlug": "inbox-agent",
          "metadataVersion": 1
        }
      }
    ]
  }
}
Masumi Kanji